Skip to Content

GET /api/v1/names

List ENS names with filtering, sorting, and pagination. Names past their 90-day grace period are excluded.

Authentication: None

Cache: 15s

Query Parameters

ParameterTypeDefaultDescription
pagenumber1Page number (min 1)
limitnumber20Results per page (1–100)
ownerstringFilter by owner address
statusstringFilter: available, listed, or expiring (within 30 days)
sortstringcreatedSort by: name, price, expiry, created
orderstringdescSort direction: asc or desc

Sample Request

curl "https://api.grails.app/api/v1/names?status=listed&sort=price&order=asc&limit=10"

Response

// 200 OK { "success": true, "data": { "names": [ { "id": 6365492, "name": "example.eth", "token_id": "69181347970383946179310165533395353945...", "owner_address": "0x30518cbf8620216015ab4536833d992449771a00", "registrant": "0x59e16fccd424cc24e280be16e11bcd56fb0ce547", "expiry_date": "2026-05-07T09:46:59.000Z", "registration_date": "2026-04-09T09:46:59.000Z", "creation_date": "2026-04-09T09:46:59.000Z", "last_transfer_date": null, "last_sale_date": null, "last_sale_price": null, "last_sale_currency": null, "last_sale_price_usd": null, "metadata": {}, "metadata_updated_at": null, "created_at": "2026-04-09T09:46:59.000Z", "updated_at": "2026-04-09T09:47:00.000Z", "resolver_address": null, "has_emoji": false, "has_numbers": false, "clubs": [], "upvotes": 0, "downvotes": 0, "net_score": 0, "highest_offer_wei": null, "highest_offer_currency": "0x0000000000000000000000000000000000000000", "highest_offer_id": null, "last_offer_update": null, "view_count": 0, "listings": [ { "id": 429697, "price_wei": "250000000000000000", "currency_address": "0x0000000000000000000000000000000000000000", "status": "active", "source": "grails", "expires_at": null, "created_at": "2026-04-01T00:00:00.000Z" } ] } ], "pagination": { "page": 1, "limit": 10, "total": 1105390, "totalPages": 110539, "hasNext": true, "hasPrev": false } }, "meta": { "timestamp": "2026-04-09T12:00:00.000Z", "version": "1.0.0" } }
Last updated on